Package org.drinkless.tdlib

# Class TdApi.PremiumStatePaymentOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumStatePaymentOption

Enclosing class:
  `TdApi`

public static class TdApi.PremiumStatePaymentOption extends TdApi.Object
Describes an option for buying or upgrading Telegram Premium for self.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isCurrent`
  True, if this is the currently used Telegram Premium subscription option.
  `boolean`
  `isUpgrade`
  True, if the payment option can be used to upgrade the existing Telegram Premium subscription.
  `String`
  `lastTransactionId`
  Identifier of the last in-store transaction for the currently used option.
  `TdApi.PremiumPaymentOption`
  `paymentOption`
  Information about the payment option.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumStatePaymentOption()`
  Describes an option for buying or upgrading Telegram Premium for self.
  `PremiumStatePaymentOption(TdApi.PremiumPaymentOption paymentOption, boolean isCurrent, boolean isUpgrade, String lastTransactionId)`
  Describes an option for buying or upgrading Telegram Premium for self.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### paymentOption

    public TdApi.PremiumPaymentOption paymentOption
    Information about the payment option.

  - ### isCurrent

    public boolean isCurrent
    True, if this is the currently used Telegram Premium subscription option.

  - ### isUpgrade

    public boolean isUpgrade
    True, if the payment option can be used to upgrade the existing Telegram Premium subscription.

  - ### lastTransactionId

    public String lastTransactionId
    Identifier of the last in-store transaction for the currently used option.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumStatePaymentOption

    public PremiumStatePaymentOption()
    Describes an option for buying or upgrading Telegram Premium for self.

  - ### PremiumStatePaymentOption

    public PremiumStatePaymentOption(TdApi.PremiumPaymentOption paymentOption, boolean isCurrent, boolean isUpgrade, String lastTransactionId)
    Describes an option for buying or upgrading Telegram Premium for self.
    Parameters:
      `paymentOption` - Information about the payment option.
      `isCurrent` - True, if this is the currently used Telegram Premium subscription option.
      `isUpgrade` - True, if the payment option can be used to upgrade the existing Telegram Premium subscription.
      `lastTransactionId` - Identifier of the last in-store transaction for the currently used option.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR